#import "../fragments/ActivityFragment.gql"

query listActivitiesForCorpusGql(
  $pk: ID!
  $before: String
  $after: String
  $first: Int = 10
  $last: Int
) {
  activitiesCorpus(
    pk: $pk
    before: $before
    after: $after
    first: $first
    last: $last
  ) {
    edges {
      node {
        ...Activity
      }
    }
    pageInfo {
      hasNextPage
      hasPreviousPage
      startCursor
      endCursor
    }
  }
}